View Issue Details

IDProjectCategoryView StatusLast Update
0022718LazarusPackagespublic2012-09-04 13:01
ReporterChallengerAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS VersionVersion 7
Product VersionProduct BuildRC2 
Target VersionFixed in Version1.1 (SVN) 
Summary0022718: When using ShowMessage on Windows Mobile 6.x it minimises the application back to the desktop
DescriptionIve had an application in production for around 2 years and recently I downloaded the RC1 and RC2 builds to re-compile and test, what I have found is that when using the ShowMessage function the whole application minimises and the handset front desktop screen shows.
Steps To ReproduceRun an application and then show a message using the ShowMessage function.
Additional InformationWindows Mobile 6.1
TagsNo tags attached.
Fixed in Revision38449, 38467
LazTarget-
Widgetset
Attached Files

Activities

Challenger

2012-08-25 14:20

reporter   ~0061881

I may have chosen the wrong category for this bug report - apologies if I have.

Felipe Monteiro de Carvalho

2012-08-29 13:43

developer   ~0061964

I found the revision that broke it. It is this one:

http://svn.freepascal.org/cgi-bin/viewvc.cgi?view=rev&root=lazarus&revision=35961

Felipe Monteiro de Carvalho

2012-08-31 11:32

developer   ~0062005

I fixed the problem in rev 38449

Sad that it wasn't reported before, so there was no time to get it into 1.0

But the fix will be available in the next fixes release: 1.0.2

Felipe Monteiro de Carvalho

2012-09-04 13:01

developer   ~0062057

Now merged to 1.0.x in rev 38467

Issue History

Date Modified Username Field Change
2012-08-25 14:12 Challenger New Issue
2012-08-25 14:20 Challenger Note Added: 0061881
2012-08-25 14:23 Jonas Maebe Project FPC => Lazarus
2012-08-25 20:23 Felipe Monteiro de Carvalho Status new => assigned
2012-08-25 20:23 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2012-08-29 13:43 Felipe Monteiro de Carvalho Note Added: 0061964
2012-08-31 11:32 Felipe Monteiro de Carvalho Fixed in Revision => 38449
2012-08-31 11:32 Felipe Monteiro de Carvalho LazTarget => -
2012-08-31 11:32 Felipe Monteiro de Carvalho Status assigned => resolved
2012-08-31 11:32 Felipe Monteiro de Carvalho Fixed in Version => 1.1 (SVN)
2012-08-31 11:32 Felipe Monteiro de Carvalho Resolution open => fixed
2012-08-31 11:32 Felipe Monteiro de Carvalho Note Added: 0062005
2012-09-04 13:01 Felipe Monteiro de Carvalho Fixed in Revision 38449 => 38449, 38467
2012-09-04 13:01 Felipe Monteiro de Carvalho Note Added: 0062057
2012-09-04 13:01 Felipe Monteiro de Carvalho Product Version 2.6.0 =>